<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <artifactId>clx-performance</artifactId>
        <groupId>com.clx.cy</groupId>
        <version>0.0.1-SNAPSHOT</version>
    </parent>

    <artifactId>performance-web</artifactId>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
    </properties>

    <dependencies>
        <!--        <dependency>-->
        <!--            <groupId>org.springframework.boot</groupId>-->
        <!--            <artifactId>spring-boot-starter-data-redis</artifactId>-->
        <!--        </dependency>-->
        <dependency>
            <groupId>com.msl</groupId>
            <artifactId>msl-common</artifactId>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.18.24</version>
        </dependency>
        <dependency>
            <groupId>com.clx.cy</groupId>
            <artifactId>performance-api</artifactId>
        </dependency>

        <dependency>
            <groupId>com.clx.cy</groupId>
            <artifactId>order-api</artifactId>
        </dependency>

        <dependency>
            <groupId>com.clx.cy</groupId>
            <artifactId>user-api</artifactId>
        </dependency>


        <dependency>
            <groupId>com.clx.cy</groupId>
            <artifactId>message-api</artifactId>
        </dependency>

        <dependency>
            <groupId>com.msl</groupId>
            <artifactId>user-sdk</artifactId>
        </dependency>

        <dependency>
            <groupId>com.msl</groupId>
            <artifactId>document-api</artifactId>
        </dependency>

        <dependency>
            <groupId>com.msl</groupId>
            <artifactId>msl-esign-v3-sdk</artifactId>
        </dependency>

        <dependency>
            <groupId>com.msl</groupId>
            <artifactId>trace-spring-boot-starter-web</artifactId>
        </dependency>


        <dependency>
            <groupId>com.msl</groupId>
            <artifactId>trace-spring-boot-starter-openfeign</artifactId>
        </dependency>

<!--        <dependency>-->
<!--            <groupId>com.msl</groupId>-->
<!--            <artifactId>message-api</artifactId>-->
<!--        </dependency>-->

        <dependency>
            <groupId>com.msl</groupId>
            <artifactId>coding-api</artifactId>
        </dependency>


        <dependency>
            <groupId>com.msl</groupId>
            <artifactId>server-spring-boot-starter</artifactId>
        </dependency>

        <!--        <dependency>-->
        <!--            <groupId>com.msl</groupId>-->
        <!--            <artifactId>cache-spring-boot-starter</artifactId>-->
        <!--        </dependency>-->

        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <scope>runtime</scope>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.elasticsearch.client</groupId>
                    <artifactId>elasticsearch-rest-high-level-client</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.elasticsearch</groupId>
                    <artifactId>elasticsearch</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-actuator</artifactId>
        </dependency>

        <!--        <dependency>-->
        <!--            <groupId>org.springframework.boot</groupId>-->
        <!--            <artifactId>spring-boot-starter-cache</artifactId>-->
        <!--        </dependency>-->

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-context</artifactId>
        </dependency>

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
        </dependency>

        <dependency>
            <groupId>org.redisson</groupId>
            <artifactId>redisson</artifactId>
        </dependency>

        <!-- nacos注册中心-->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
        </dependency>

        <!-- nacos配置中心-->
        <dependency>
            <groupId>com.alibaba.cloud</groupId>
            <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
        </dependency>

        <!--druid数据源-->
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid-spring-boot-starter</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.alibaba</groupId>
                    <artifactId>druid</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>druid</artifactId>
        </dependency>

        <dependency>
            <groupId>org.apache.skywalking</groupId>
            <artifactId>apm-toolkit-trace</artifactId>
        </dependency>

        <dependency>
            <groupId>org.apache.skywalking</groupId>
            <artifactId>apm-toolkit-logback-1.x</artifactId>
        </dependency>

        <!-- mapStruct 对象转换 -->
        <dependency>
            <groupId>org.mapstruct</groupId>
            <artifactId>mapstruct</artifactId>
        </dependency>

        <dependency>
            <groupId>org.mapstruct</groupId>
            <artifactId>mapstruct-processor</artifactId>
        </dependency>

        <dependency>
            <groupId>com.msl</groupId>
            <artifactId>dao-spring-boot-starter</artifactId>
            <!--            <version>1.0.1</version>-->
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-validation</artifactId>
        </dependency>

        <dependency>
            <groupId>com.msl</groupId>
            <artifactId>job-spring-boot-starter</artifactId>
        </dependency>

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>easyexcel</artifactId>
        </dependency>

        <dependency>
            <groupId>org.modelmapper</groupId>
            <artifactId>modelmapper</artifactId>
            <version>2.4.4</version>
        </dependency>

        <dependency>
            <groupId>redis.clients</groupId>
            <artifactId>jedis</artifactId>
            <version>3.6.1</version>
        </dependency>


        <!-- 中交兴路jar 包 -->
        <dependency>
            <groupId>com.clx.msl</groupId>
            <artifactId>openapi-gps-sdk</artifactId>
            <version>1.0</version>
        </dependency>

        <dependency>
            <groupId>org.redisson</groupId>
            <artifactId>redisson</artifactId>
            <version>3.13.6</version>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-amqp</artifactId>
        </dependency>

        <dependency>
            <groupId>com.msl</groupId>
            <artifactId>log-spring-boot-starter</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-mongodb</artifactId>
        </dependency>

        <dependency>
            <groupId>com.nbopen</groupId>
            <artifactId>openBasicSDK</artifactId>
            <version>1.7.0</version>
            <scope>system</scope>
            <systemPath>${pom.basedir}/libs/openBasicSDK-1.7.0.jar</systemPath>
        </dependency>

        <dependency>
            <groupId>com.aliyun.core</groupId>
            <artifactId>machineCheckCore</artifactId>
            <version>3.0.6</version>
        </dependency>
        <dependency>
            <groupId>com.aliyun.afs</groupId>
            <artifactId>machineCheckAfs</artifactId>
            <version>1.0.0</version>
        </dependency>

        <dependency>
            <groupId>com.nbopen</groupId>
            <artifactId>openBasicSDK</artifactId>
            <version>1.7.0</version>
        </dependency>
        <dependency>
            <groupId>com.clx.cy</groupId>
            <artifactId>open-sdk</artifactId>
        </dependency>


        <dependency>
            <groupId>org.elasticsearch.client</groupId>
            <artifactId>elasticsearch-rest-high-level-client</artifactId>
            <version>7.14.0</version>
        </dependency>
        <dependency>
            <groupId>org.elasticsearch</groupId>
            <artifactId>elasticsearch</artifactId>
            <version>7.14.0</version>
        </dependency>

        <dependency>
            <groupId>org.dromara.easy-es</groupId>
            <artifactId>easy-es-boot-starter</artifactId>
            <version>2.0.0-beta7</version>
        </dependency>



    </dependencies>


    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <includeSystemScope>true</includeSystemScope>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
